#v::
{
    myPath := Clipboard
    ; Check for existence of multiple items.  Kick out if found.
    Loop, Parse, myPath, `n, `r
    {
        If ( A_LoopField != "" )
        {
            If ( A_Index > 1 )
            {
                MsgBox, 16, Error, Multiple files selected!`n`nThis hotkey is designed for use with only one file or folder selected.
                Return
            }
        }
    }
    
    ; Check path for validity.
    If ! FileExist( myPath )
    {
        MsgBox, 16, Error, Current clipboard contents either:`n1) Do not exist anymore or`n2) Are not a file/folder path
        Return
    } 
    
    ; Get number of copies to make from the user.
    InputBox, numCopies, Number of copies, Enter number of copies to make:, , , 140

    If ! ( ErrorLevel ) ; User did not cancel.  Proceed.
    {
        SplitPath, myPath, OutFileName, OutDir, OutExtension, OutNameNoExt, OutDrive
        Loop, % numCopies
        {
            ; Check if destination file/folder exists.  If so, create a unique name for it to avoid collisions.
            Loop
            {
                If FileExist( OutDir . "\" . OutFileName )
                {
                    OutFileName := OutNameNoExt . A_Index . ( ( InStr( FileExist( myPath ), "D" ) ) ? ( "" ) : ( "." . OutExtension ) ) 
                }
                Else
                {
                    Break
                }
            }
            If ( InStr( FileExist( myPath ), "D" ) ) ; myPath is a folder.
            {
                FileCopyDir, % myPath, % OutDir . "\" . OutFileName
            }
            Else ; myPath is a file.
            {
                FileCopy, % myPath, % OutDir . "\" . OutFileName
            }
        }
    }
}
Return
